Get member events for the incident
get
https://EM_HOST:EM_CONSOLE_HTTPS_PORT/em/api/incidents/{incidentId}/events
Returns the list of events participating in the specific incident. The events are sorted by the time of creation by default.
Request
Path Parameters
-
incidentId(required): string(raw)
ID of the incident
Query Parameters
-
limit: integer(int32)
Limits number of items returned in current call. Use the self/previous/next links from the response to fetch additional items.Default Value:
50 -
page: string
Identifies the set of items to be fetched; "href" element from "links" list of the response provides encoded value for this parameter. "href" element value should be used "as is" for fetching respective set of items.Default Value:
Base64 encode value of 0 i.e MA== -
sort: string
Sort results by supported resource attributes such as id, name, message, type, timeCreated. timeUpdated, isOpen and severityExample:
severity:ASC,timeCreated:DESC
There's no request body for this operation.
Back to TopResponse
Supported Media Types
- application/json
200 Response
Successful operation - Fetch all the related events to the incident
Nested Schema : EventCollection
Type:
objectList of event summary
Show Source
-
count: integer
(int32)
Number of rows returnedExample:
1 -
items(required): array
items
List of the event summary
-
links: object
links
Read Only:
trueURL links to paginated resource(s).
Nested Schema : items
Type:
arrayList of the event summary
Show Source
-
Array of:
object EventSummary
Summary of an event
Nested Schema : links
Type:
objectRead Only:
trueURL links to paginated resource(s).
Show Source
-
next: object
Link
A link
-
previous: object
Link
A link
-
self(required): object
Link
A link
Example:
{
"self":{
"href":"/em/api/incidents/CCB9A8BDF77C400EE053860E4B6416AA/events?page=MQ%3D%3D&limit=50"
},
"next":{
"href":"/em/api/incidents/CCB9A8BDF77C400EE053860E4B6416AA/events?page=Mg%3D%3D&limit=50"
},
"previous":{
"href":"/em/api/incidents/CCB9A8BDF77C400EE053860E4B6416AA/events?page=MA%3D%3D&limit=50"
}
}Nested Schema : EventSummary
Type:
objectSummary of an event
Show Source
-
associatedIncidentId: string
(raw)
Read Only:
trueID of the associated incidentExample:C4E214A1172A2F19E053860E4B645AC7 -
canBeManuallyClosed: boolean
Default Value:
falseCan a user clear this event?Example:true -
isOpen(required): boolean
Is the event open?Example:
true -
links: object
links
Read Only:
trueURL links inside details of resource. -
message(required): string
Message of the eventExample:
CPU Utilization is 10.821%, crossed warning (5) or critical (10) threshold. -
name: string
Name of the eventExample:
Load:cpuUtil -
nonTargetEntities: array
nonTargetEntities
Minimum Number of Items:
0Unique Items Required:trueEntities other than targets which are affected by this event -
sequenceId(required): string
(raw)
Read Only:
trueID of the eventExample:C4E06BD206B62AB3E053860E4B64C911 -
severity(required): string
Read Only:
trueAllowed Values:[ "FATAL", "CRITICAL", "WARNING", "MINOR_WARNING", "CLEAR" ]Supported list of the severitiesExample:CRITICAL -
targets: array
targets
Minimum Number of Items:
0Unique Items Required:trueTargets affected by this incident -
timeCreated(required): string
(date-time)
Read Only:
trueTime when the event is createdExample:2021-07-20T16:47:56.000Z -
timeUpdated(required): string
(date-time)
Read Only:
trueTime when the event is last updatedExample:2021-07-21T06:25:43.000Z -
typeDisplayName: string
Display name of the event typeExample:
Metric Alert -
typeName: string
Type of the eventExample:
metric_alert
Nested Schema : links
Type:
objectRead Only:
trueURL links inside details of resource.
Show Source
-
self(required): object
Link
A link
Example:
{
"self":{
"href":"/em/api/events/C4E06BD206B62AB3E053860E4B64C911"
}
}Nested Schema : nonTargetEntities
Type:
arrayMinimum Number of Items:
0Unique Items Required:
trueEntities other than targets which are affected by this event
Show Source
-
Array of:
object SourceEntity
Details of an source entity
Nested Schema : targets
Type:
arrayMinimum Number of Items:
0Unique Items Required:
trueTargets affected by this incident
Show Source
-
Array of:
object Target
Details of target
Nested Schema : SourceEntity
Type:
objectDetails of an source entity
Show Source
-
id(required): string
(raw)
ID of the entityExample:
317C6AD6C69832D0ADDA279BEB7B7F32 -
name(required): string
Name of the entityExample:
bkupjob-123456 -
subTypeDisplayName: string
Display name for sub type for an entity typeExample:
Database backup job -
subTypeName: string
Sub type for an entity typeExample:
DBBackupJob -
typeDisplayName: string
Display name for the entity typeExample:
Job -
typeName(required): string
Type of the entityExample:
JOB
Nested Schema : Target
Type:
objectDetails of target
Show Source
-
id(required): string
(raw)
ID of the targetExample:
317C6AD6C69832D0ADDA279BEB7B7F32 -
name(required): string
Name of the targetExample:
emdevinfra.oraclevcn.com -
typeDisplayName: string
Display name for the target typeExample:
Host -
typeName(required): string
Type of the targetExample:
host
400 Response
Bad Request
Root Schema : ErrorResponse
Type:
objectResponse sent back in the case of an Error
Show Source
-
code(required): string
customer facing error code
-
details: array
details
(Optional) List of additional details for the errors found.
-
message(required): string
customer facing error description
Nested Schema : details
Type:
array(Optional) List of additional details for the errors found.
Show Source
-
Array of:
object ErrorDetail
listed as part of ErrorResponse
Nested Schema : ErrorDetail
Type:
objectlisted as part of ErrorResponse
Show Source
-
message(required): string
specific error description
401 Response
Unauthorized
Root Schema : ErrorResponse
Type:
objectResponse sent back in the case of an Error
Show Source
-
code(required): string
customer facing error code
-
details: array
details
(Optional) List of additional details for the errors found.
-
message(required): string
customer facing error description
Nested Schema : details
Type:
array(Optional) List of additional details for the errors found.
Show Source
-
Array of:
object ErrorDetail
listed as part of ErrorResponse
Nested Schema : ErrorDetail
Type:
objectlisted as part of ErrorResponse
Show Source
-
message(required): string
specific error description
404 Response
Not Found
Root Schema : ErrorResponse
Type:
objectResponse sent back in the case of an Error
Show Source
-
code(required): string
customer facing error code
-
details: array
details
(Optional) List of additional details for the errors found.
-
message(required): string
customer facing error description
Nested Schema : details
Type:
array(Optional) List of additional details for the errors found.
Show Source
-
Array of:
object ErrorDetail
listed as part of ErrorResponse
Nested Schema : ErrorDetail
Type:
objectlisted as part of ErrorResponse
Show Source
-
message(required): string
specific error description
500 Response
Internal Server Error
Root Schema : ErrorResponse
Type:
objectResponse sent back in the case of an Error
Show Source
-
code(required): string
customer facing error code
-
details: array
details
(Optional) List of additional details for the errors found.
-
message(required): string
customer facing error description
Nested Schema : details
Type:
array(Optional) List of additional details for the errors found.
Show Source
-
Array of:
object ErrorDetail
listed as part of ErrorResponse
Nested Schema : ErrorDetail
Type:
objectlisted as part of ErrorResponse
Show Source
-
message(required): string
specific error description
503 Response
Service Unavailable
Root Schema : ErrorResponse
Type:
objectResponse sent back in the case of an Error
Show Source
-
code(required): string
customer facing error code
-
details: array
details
(Optional) List of additional details for the errors found.
-
message(required): string
customer facing error description
Nested Schema : details
Type:
array(Optional) List of additional details for the errors found.
Show Source
-
Array of:
object ErrorDetail
listed as part of ErrorResponse
Nested Schema : ErrorDetail
Type:
objectlisted as part of ErrorResponse
Show Source
-
message(required): string
specific error description